Identity & Access Management
All operations require authentication.
1 operationv2/iam/authorization
Check authorizations on resourcesProduction
POST
/v2/ iam/ authorization/ check
Checks the listed actions against each resourceURN.
Returns, per resource, which actions are authorized and which are not.
Headers
NameTypeDescription
X- Pagination- Cursor
string
Pagination cursor
X- Pagination- Size
integer
Pagination size
Request body (required)
NameTypeDescription
actions
required
string []
List of actions to check authorizations for
resource URNs
required
string []
Resources on which accesses should be checked
Response
NameTypeDescription
200Authorize Batch Response []successful operation
authorized Actions
read-only
string []
Actions from your request that the caller is allowed to perform on the resource
resource URN
read-only
string
URN of the resource
unauthorized Actions
read-only
string []
Actions from your request that the caller is not allowed to perform on the resource
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ iam/ authorization/ check \
-H "authorization: Bearer $OVH_TOKEN"ResponseExample
1[2 {3 "authorizedActions": [4 "string"5 ],6 "resourceURN": "string",7 "unauthorizedActions": [8 "string"9 ]10 }11]